/*  GIMP header image file format (RGB-only): /home/klaux/sources/libuta/mouse.h  */

namespace uta {

static unsigned int width = 32;
static unsigned int height = 32;

/*  Call this macro repeatedly.  After each use, the pixel data can be extracted  */

#define HEADER_PIXEL(data,pixel) \
  pixel[0] = (((data[0] - 33) << 2) | ((data[1] - 33) >> 4)); \
  pixel[1] = ((((data[1] - 33) & 0xF) << 4) | ((data[2] - 33) >> 2)); \
  pixel[2] = ((((data[2] - 33) & 0x3) << 6) | ((data[3] - 33))); \
  data += 4;

static char *header_data =
	"25*#25*#25*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"25*#DJ'+25*#25*#25*#25*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"25*#25*#G:O6H:_:I++>J+7A25*#25*#25*#25*#!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!25*#GJS7HK#;IK/?J;;BK;OGL\\#MM,'NM</O25*#25*#25*#!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!25*#H*[9H['=I[3@JKCCK[WIL\\'MM,+OML/PM\\3QN,;SNL?T/$5V25*#25*#"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!25*#H:_:I;+>J+;AJ[GEL;_KM,'NM<+OML3PN,7RN<;SNLCUP]#]P]#^Q-'_"
	"25*#25*#25*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!25*#HK#<IK/?J;?BK;OGL\\#MM,'NM</OM\\3QN,7RN<?TO,GWP]#]P]#^Q-'_"
	"RM@&T]`/U^0325*#25*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!25*#I[7@JKCDK[WIL\\'MM<+OML/PM\\7QN,;SNL?TP<_\\P]#^Q-'^Q=+`"
	"T-T,U.(0V.84V><4V><425*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!25*#J+;AK+GELK_LM,'NM<+OML3PN,7RN<;SNLCUP]#]P]#^Q-'_Q]8\""
	"T=\\.UN,2VN@625*#25*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!25*#J;?CKKOHL\\#MM,+NM</PM\\3QN,7RN<?TO<KWP]#]P]#^Q-'_R]D&"
	"T]`/U^4325*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!25*#JKCDL+WJL\\'MM<+OML/PM\\7QN<;SNL?TPL_]P]#^Q-'^QM/`T-T,"
	"25*#25*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!25*#LK_LM,'NM<+OML3QN,7RN<;SNLCUP]#]P]#^Q-'_R-8#25*#"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!25*#L\\#MM,+NML/PM\\3QN,;RN<?TOLOXP]#]P]#^Q-+_S-H'25*#"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!25*#L\\'MM<+OML/PM\\7RN<;SNL?TP]#]P]#^Q-'^QM0!T-X-U>(1"
	"25*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!25*#M,'NM</OML3QN,7RN<;SNLCUP]#]P]#^Q-'_R-8#TM\\.UN02"
	"V^@625*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!25*#ML/PM\\3QN,;SNL?TO\\SY25*#25*#Q=+_S=L(T^$0V.44"
	"VN<5U^0025*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!25*#ML/PM\\7RN<;SNL?T25*#!!!!!!!!25*#T=X-U>(1V><5"
	"V>83UN,/T-P\"25*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!25*#M\\3QN,7RN<?SN\\CU25*#!!!!!!!!!!!!25*#UN02VN@6"
	"V.42UN(-U^,+W^L525*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!25*#N,;SNL?T25*#!!!!!!!!!!!!!!!!!!!!25*#VN<5"
	"U^00T]`)VN<0X.T8Y/$=25*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!25*#N<;S25*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!25*#"
	"UN,.T=X$W>D3XNX:Y?(>Z/4B1U\"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!25*#V><425*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"25*#V.0,W^L6X^`;Y_,@Z?8CZ_@F1U\"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!25*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!25*#X>T8Y?$=Z/0AZO<D[/DG[?HH25*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!25*#YO(?Z/4BZ_@E[?HH1U\"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!25*#Z?8CZ_@F25*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!25*#25*#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	"";

}
